/* This module kicks in if no Botkit Studio token has been provided */

module.exports = function(controller) {

    controller.on('hello', conductOnboarding);
    controller.on('welcome_back', conductOnboarding);

    function conductOnboarding(bot, message) {

      bot.startConversation(message, function(err, convo) {

        convo.say({
          text: 'OBASE Müşteri Hizmetlerine Hoşgeldiniz.Nasıl yardımcı olabilirim?',
          quick_replies: [
            {
              title: 'Yardım',
              payload: 'help',
            },
          ]
        });


      });

    }

    controller.hears(['help','contact','documentation','docs','community'], 'message_received', function(bot, message) {

      bot.startConversation(message, function(err, convo) {

        // set up a menu thread which other threads can point at.
        convo.ask({
          text: 'Sizi kaynaklara yönlendirebilir ve size yardımcı olabilecek uzmanlara bağlayabilirim.',
          quick_replies: [
            {
              title: 'Dokumanlari oku',
              payload: 'documentation',
            },
            {
              title: 'Forumlara katıl',
              payload: 'community',
            },
            {
              title: 'Uzmandan yardım al',
              payload: 'contact us',
            },
          ]
        },[
          {
            pattern: 'documentation',
            callback: function(res, convo) {
              convo.gotoThread('docs');
              convo.next();
            }
          },
          {
            pattern: 'community',
            callback: function(res, convo) {
              convo.gotoThread('community');
              convo.next();
            }
          },
          {
            pattern: 'contact',
            callback: function(res, convo) {
              convo.gotoThread('contact');
              convo.next();
            }
          },
          {
            default: true,
            callback: function(res, convo) {
              convo.gotoThread('end');
            }
          }
        ]);

        // set up docs threads
        convo.addMessage({
          text: 'Nasıl yardımcı olabileceğimi bilemedim. `help` yazarak menüye erişebilirsiniz.'
        },'end');
                
        // set up docs threads
        convo.addMessage({
          text: 'Yararlı linkler aşağıdaki gibidir:\n\n[OBASE Homepage](http://www.obase.com/default.aspx)\n\n[OBASE Blog](http://blog.obase.com/index.php/tr/)\n\n[OBASE Ürünler](http://www.obase.com/urunlerimiz.aspx)',
        },'docs');

        convo.addMessage({
          action: 'default'
        }, 'docs');


        // set up community thread
        convo.addMessage({
          text: 'Geliştirici topluluğumuzun binlerce üyesi var ve ilgili soruları yanıtlamak için her zaman dost canlısı insanlar var!',
        },'community');

        convo.addMessage({
          text: '[Blog oku](http://blog.obase.com/index.php/tr/) yaralı makaleler',
        },'community');

        convo.addMessage({
          text: '[Perakende Çözümleri](http://www.obase.com/Cozumlerimiz.aspx?Id=1) Mağazacılık sektörüne yönelik çözümlerimiz.',
        },'community');

        convo.addMessage({
          action: 'default'
        }, 'community');



        // set up contact thread
        convo.addMessage({
          text: '[Bizimle iletişime geçin](http://www.obase.com/Default.aspx), yada email gönderin [help@obase.com](mailto:obase@obase.com)',
        },'contact');
        convo.addMessage({
          action: 'default'
        }, 'contact');

      });

    });


}
